/**
 * @(#)LineItem.java
 * Copyright 2001 Nomura Research Institute, LTD. All rights reserved.
 * RID-3 : Line Item
 * @author  Intelligent Technology Inc.
 * @version 1.00 2002/01/09
 */
package	jp.co.nri.rid.table;

/* java */
import	java.util.*;

/* rid */
import	jp.co.nri.rid.xml.*;

/**
 * RTableの行情報
 */

public class LineItem extends HashMap{
	private elementBooster myElement;
//--------[[ constructor ]]----------------------------------------------------
	/**
	 * @param	element	エレメント
	 * @see		elementBooster
	 */
	public LineItem(elementBooster element){ myElement = element; }

//--------[[ open method ]]----------------------------------------------------
	
	/**
	 * CellItemを追加する
	 * @param	name	カラム名
	 * @param	item	CellItem
	 * @see		CellItem
	 * @since	1.00
	 */
	public void cellitem(String name ,CellItem item){ put(name ,item); }
	
	/**
	 * cellを取得する
	 * @param	name	カラム名
	 * @return	CellItem
	 * @see		CellItem
	 * @since	1.00
	 */
	public CellItem cellitem(String name){ return (CellItem)get(name); }
	
	/**
	 * cell文字列を取得する
	 * @param	name	カラム名
	 * @return	cell文字列
	 * @since	1.00
	 */
	public String cellstring(String name){
		/*** fuku *** 20020523 */
		String szRet = null;
		CellItem item = cellitem(name);
		if ( item != null ) {
			szRet = item.string();
		}
		return szRet;
/*
		try{ return cellitem(name).string(); }
		catch(NullPointerException e){ return null; }
*/
	}
	
	/**
	 * cell文字列を設定する
	 * @param	name	カラム名
	 * @param	text	文字列
	 * @since	1.00
	 */
	public void cellstring(String name ,String text){
		/*** fuku *** 20020523 */
		CellItem item = cellitem(name);
		if ( item != null ) {
			item.string(text);
		}
/*
		try{ cellitem(name).string(text); }
		catch(NullPointerException e){ }
*/
	}
	
	/**
	 * エレメントを取得する
	 * @return	エレメント
	 * @see		elementBooster
	 * @since	1.00
	 */
	public elementBooster element(){ return myElement; }
}
